\name{SELstaDB}
\alias{SELstaDB}
\title{Pick stations and components
  interactively
}
\description{Pick stations and components
  interactively.  This is a routine
  used in swig.
}
\usage{
SELstaDB(IDB, sel=1, newdev=TRUE, STAY=FALSE)
}
\arguments{
  \item{IDB}{list with component vectors, usta and ucomp
}
 

  \item{sel}{vector of index to selected traces
}


\item{newdev}{logical, whether
  to create a new device.
}
  \item{STAY}{logical, whether
  to keep device active.
}
}

\value{vector of index to list of stations and components
}

\author{Jonathan M. Lees<jonathan.lees@unc.edu>}

\seealso{infoDB, makeDB}


\examples{
if(interactive()){

### make a database from the files on disk
### DBnov = makeDB(fpath, fpat, kind=2, Iendian=1, BIGLONG=FALSE)
### IDB = infoDB(DBnov)
###   or, as an example:
data(GH, package='RSEIS')

DBnov = list(usta = unique(GH$STNS), unique(GH$COMPS))
 

k = SELstaDB(IDB)

}
}
\keyword{misc}
